Subject: Re: [PATCH 0/2 RESEND] IB/Verbs: Use helpers to refine the checking on transport and link layer

From: Michael Wang <[email-masked]>
Date: Fri, 27 Mar 2015 17:03:14 +0100

On 03/27/2015 04:55 PM, Jason Gunthorpe wrote:
> On Fri, Mar 27, 2015 at 10:52:10AM +0100, Michael Wang wrote:
>> [snip]
> So, in principle, testing the device should almost make sense. The
> device is the container for things like PD's MR's and QP's and those
> things can migrate between the ports freely, so all post must share
> the same attributes for those items.
>
> However.. AFAIK, we can have RoCEE and IB ports on the same device -
> which makes that whole concept seem sort of like nonsense..
>
> Anyhow, I would discourage testing the device. Each site has to be
> examined and determine if it working with a single port and really
> needs a port attribute (which may be a device attribute today) or if
> it is doing something device wide and is checking if all ports support
> X.
I prefer Doug's proposal that these attributes should be setup
by vendor at very beginning, unless the attributes keep changing...

>
>> Let's discuss and figure out the right name in the thread of
>> v2 patch set, I guess there will be a lot to be correct :-P
> Well, this is actually a hard job. This isn't a mechanical clean up,
> each site has to be inspected and understood before it can be
> migrated to the correct API.
I've send out the RFC patch set, let's see if it is possible to settle
some thing done ;-)

Regards,
Michael Wang

> Jason

--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html